




<!-- NEWS.md was auto-generated by NEWS.Rmd. Please DO NOT edit by hand!-->

## New functions

-   `fit_EmissionSpectra()`: this new functions allows you to fit
    luminescence emission spectra (e.g., TL, RF) with a semi-automated
    start parameter estimation. The function was around quite some time
    but was finalised only recently.

## Changes in version 0.9.15 (2021-08-24)

**This package version requires at least R \>= 4.0.5**

### Bugfixes and changes

#### General

-   We removed `'magrittr'` from the dependency. It was never used
    within the package or required for examples, but loaded for
    convenience reasons to smooth the data analysis. However, with
    R >=4.1, a native pipe operator (`|>`) became available and
    `'magrittr'` is no longer needed (but can still be loaded by the
    user via `library(magrittr)` if needed).

#### `analyse_FadingMeasurement()`

-   Minor graphical issue in the plot output: if the shine-down curve
    did not start at 0 s, the integration limits were drawn incorrectly
    (the calculation was correct, though); fixed.

#### `analyse_SAR.CWOSL()`

-   The extraction of irradiation times, if irradiation curves were
    provided (e.g., usually part of XSYG files), did not work reliably;
    fixed.

#### `calc_AverageDose()`

-   The function aggressively reset plot areas also in cases nothing was
    plotted; fixed.

#### `plot_AbanicoPlot()`

-   If the input was of type `data.frame` the function struggled if the
    `data.frame` had more than two columns. While this was clearly
    indicated in the documentation, the behaviour was annoying, because
    it made always an extra sub-setting necessary when working with
    `data.frame`s comprising more than two columns. Now the function
    discards all other columns except for the first two if the input is
    a `data.frame`.

#### `plot_GrowthCurve()`

-   The function crashed if `fit.method = "LambertW"` and the `Ln/Tn`
    largely exceeded the highest `Lx/Tx` point; fixed.

#### `plot_RLum.Data.Spectrum()`

-   For `plot.type = "image"` the labels for the contour did not scale
    for changed `cex` settings; fixed.
